net.dontdrinkandroot.lastfm.api.model

## Class Price

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Price

All Implemented Interfaces:
  Serializable, AmountEntity, CurrencyEntity, Entity

    public class Price
    extends LfmEntity
    implements CurrencyEntity, AmountEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Price(Element element)` Creates a `Price` from a DOM `Element`.

### Method Summary

Methods
`Float` `getAmount()`
`String` `getCurrency()`
`void` `setAmount(Float amount)`
`void` `setCurrency(String currency)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Price

    public Price(Element element)

Creates a `Price` from a DOM `Element`.

Parameters:
  `element` - The `Element` to parse.

### Method Detail

#### getAmount

    public Float getAmount()

Specified by:
  `getAmount` in interface `AmountEntity`

#### setAmount

    public void setAmount(Float amount)

Specified by:
  `setAmount` in interface `AmountEntity`

#### getCurrency

    public String getCurrency()

Specified by:
  `getCurrency` in interface `CurrencyEntity`

#### setCurrency

    public void setCurrency(String currency)

Specified by:
  `setCurrency` in interface `CurrencyEntity`